/*
*  Project     Nintendo Extension Controller Library
*  @author     David Madison
*  @link       github.com/dmadison/NintendoExtensionCtrl
*  @license    LGPLv3 - Copyright (c) 2018 David Madison
*
*  This file is part of the Nintendo Extension Controller Library.
*
*  This program is free software: you can redistribute it and/or modify
*  it under the terms of the GNU Lesser General Public License as published by
*  the Free Software Foundation, either version 3 of the License, or
*  (at your option) any later version.
*
*  This program is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU Lesser General Public License for more details.
*
*  You should have received a copy of the GNU Lesser General Public License
*  along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef NINTENDOEXTENSIONCTRL_H
#define NINTENDOEXTENSIONCTRL_H

// Controller Base
#include "internal/ExtensionController.h"

// Wii Controllers
#include "controllers/Nunchuk.h"
#include "controllers/ClassicController.h"
#include "controllers/GuitarController.h"
#include "controllers/DrumController.h"
#include "controllers/DJTurntable.h"
#include "controllers/uDrawTablet.h"
#include "controllers/DrawsomeTablet.h"

// Mini Controllers
/* (included with ClassicController.h) */

#endif
